﻿@model IEnumerable<RealEstate.Models.LeaveRequestModel>


<div class="card mb-4">
    <div class="card-header text-center"><h4>Leave Request</h4> </div>
    <div class="card-body p-2">


        <div class="datatable table-responsive">
            <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <div class="col-sm-12">
                    <table class="table table-striped mydatatable">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Name</th>
                                <th>Request Date</th>
                                <th>Reason</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@item.Id</td>
                                    <td><b>@item.Name</b> </td>
                                    <td><span class="badge badge-danger">@item.LeaveRequestedOn</span></td>
                                    <td>@item.Reason </td>
                                    <td><a href="/Attendence/Approve_Reject_Attendence?UserAttendenceId=@item.UserAttendenceId&isApproved=true" class="btn btn-primary">Approve</a>  <a href="/Attendence/Approve_Reject_Attendence?UserAttendenceId=@item.UserAttendenceId&isApproved=false" class="btn btn-danger">Reject</a>  </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="card-footer text-center">
        <a class="btn btn-primary" href="/Attendence/Index/">Back</a>
    </div>
</div>
